Voor toegang tot deze pagina is autorisatie vereist. U kunt proberen de mappen te wijzigen.
Database Operations - Cancel
Service:
SQL Database
API-versie:
2025-01-01
Hiermee annuleert u de asynchrone bewerking in de database.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/operations/{operationId}/cancel?api-version=2025-01-01
URI-parameters
Name
In
Vereist
Type
Description
databaseName
path
True
string
De naam van de database.
operationId
path
True
string
(uuid)
De bewerkings-id.
resourceGroupName
path
True
string
minLength: 1 maxLength: 90
De naam van de resourcegroep. De naam is hoofdletterongevoelig.
serverName
path
True
string
De naam van de server.
subscriptionId
path
True
string
(uuid)
De id van het doelabonnement. De waarde moet een UUID zijn.
api-version
query
True
string
minLength: 1
De API-versie die voor deze bewerking moet worden gebruikt.
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-6661/databases/testdb/operations/f779414b-e748-4925-8cfe-c8598f7660ae/cancel?api-version=2025-01-01
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python cancel_database_operation.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
client.database_operations.cancel(
resource_group_name="sqlcrudtest-7398",
server_name="sqlcrudtest-6661",
database_name="testdb",
operation_id="f779414b-e748-4925-8cfe-c8598f7660ae",
)
# x-ms-original-file: 2025-01-01/CancelDatabaseOperation.json
if __name__ == "__main__":
main()
using Azure;
using Azure.ResourceManager;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/CancelDatabaseOperation.json
// this example is just showing the usage of "DatabaseOperations_Cancel" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlDatabaseResource created on azure
// for more information of creating SqlDatabaseResource, please refer to the document of SqlDatabaseResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "sqlcrudtest-7398";
string serverName = "sqlcrudtest-6661";
string databaseName = "testdb";
ResourceIdentifier sqlDatabaseResourceId = SqlDatabaseResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, databaseName);
SqlDatabaseResource sqlDatabase = client.GetSqlDatabaseResource(sqlDatabaseResourceId);
// invoke the operation
Guid operationId = Guid.Parse("f779414b-e748-4925-8cfe-c8598f7660ae");
await sqlDatabase.CancelDatabaseOperationAsync(operationId);
Console.WriteLine("Succeeded");